Package org.eclipse.graphiti.features.impl

# Class DefaultDirectEditingInfo

java.lang.Object
org.eclipse.graphiti.features.impl.DefaultDirectEditingInfo

All Implemented Interfaces:
  `IDirectEditingInfo`

public class DefaultDirectEditingInfo extends Object implements IDirectEditingInfo
The Class DefaultDirectEditingInfo.

## Constructor Summary

Constructors
Constructor
Description
`DefaultDirectEditingInfo()`

## Method Summary

Modifier and Type
Method
Description
`GraphicsAlgorithm`
`getGraphicsAlgorithm()`
Gets the graphics algorithm.
`PictogramElement`
`getMainPictogramElement()`
Gets the main pictogram element.
`PictogramElement`
`getPictogramElement()`
Gets the pictogram element.
`boolean`
`isActive()`
Checks if is active.
`void`
`reset()`
sets all the infos to null.
`void`
`setActive(boolean isActive)`
Sets the active state.
`void`
`setGraphicsAlgorithm(GraphicsAlgorithm graphicsAlgorithm)`
Sets the graphics algorithm.
`void`
`setMainPictogramElement(PictogramElement pictogramElement)`
Sets the main pictogram element.
`void`
`setPictogramElement(PictogramElement pictogramElement)`
Sets the pictogram element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultDirectEditingInfo

public DefaultDirectEditingInfo()

## Method Details

### getGraphicsAlgorithm

public GraphicsAlgorithm getGraphicsAlgorithm()
Description copied from interface: `IDirectEditingInfo`
Gets the graphics algorithm.

Specified by:
  `getGraphicsAlgorithm` in interface `IDirectEditingInfo`
Returns:
  the graphics algorithm

### getMainPictogramElement

public PictogramElement getMainPictogramElement()
Description copied from interface: `IDirectEditingInfo`
Gets the main pictogram element.

Specified by:
  `getMainPictogramElement` in interface `IDirectEditingInfo`
Returns:
  the main pictgram element

### getPictogramElement

public PictogramElement getPictogramElement()
Description copied from interface: `IDirectEditingInfo`
Gets the pictogram element.

Specified by:
  `getPictogramElement` in interface `IDirectEditingInfo`
Returns:
  the pictogram element

### isActive

public boolean isActive()
Description copied from interface: `IDirectEditingInfo`
Checks if is active.

Specified by:
  `isActive` in interface `IDirectEditingInfo`
Returns:
  TRUE, if this info should be used; FALSE otherwise

### reset

public void reset()
Description copied from interface: `IDirectEditingInfo`
sets all the infos to null.

Specified by:
  `reset` in interface `IDirectEditingInfo`

### setActive

public void setActive(boolean isActive)
Description copied from interface: `IDirectEditingInfo`
Sets the active state.

Specified by:
  `setActive` in interface `IDirectEditingInfo`
Parameters:
  `isActive` - the is active

### setGraphicsAlgorithm

public void setGraphicsAlgorithm(GraphicsAlgorithm graphicsAlgorithm)
Description copied from interface: `IDirectEditingInfo`
Sets the graphics algorithm.

Specified by:
  `setGraphicsAlgorithm` in interface `IDirectEditingInfo`
Parameters:
  `graphicsAlgorithm` - the graphics algorithm

### setMainPictogramElement

public void setMainPictogramElement(PictogramElement pictogramElement)
Description copied from interface: `IDirectEditingInfo`
Sets the main pictogram element.

Specified by:
  `setMainPictogramElement` in interface `IDirectEditingInfo`
Parameters:
  `pictogramElement` - the pictogram element

### setPictogramElement

public void setPictogramElement(PictogramElement pictogramElement)
Description copied from interface: `IDirectEditingInfo`
Sets the pictogram element.

Specified by:
  `setPictogramElement` in interface `IDirectEditingInfo`
Parameters:
  `pictogramElement` - the pictogram element